@ECHO OFF

CD/D "%~dp0.."

SET FILE=Version.tmp
SET VERF=Version.txt
SET URL=http://mijet.eludevisibility.org/XM6%%20Pro-68k/Version.txt
SET EXE="%~dp0curl\curl.exe"
SET DL=%EXE% -# -k -L --retry 2 --retry-delay 10 --limit-rate 10K

IF EXIST XM6.exe GOTO OK
IF NOT EXIST XM6U.exe GOTO INSTALL_ERROR
:OK
IF NOT EXIST %EXE%  GOTO INSTALL_ERROR
IF NOT EXIST %VERF% GOTO NO_VER

CLS
ECHO.
ECHO The following URL will be retrieved:
ECHO.
ECHO %URL%
ECHO.
ECHO If you not wish to connect to the above address, close this window now.
ECHO.
PAUSE

CLS
DEL %FILE% 2>NUL
%DL% -o %FILE% --url "%URL%"
IF ERRORLEVEL 1 GOTO ERROR

: Check for an unexpected response, such as a 404 page
CALL :GET_SIZE SIZE %FILE%
IF %SIZE% NEQ 6 GOTO ERROR
: Not available on some systems (!)
: FIND /I "HTML" %FILE% > NUL
: IF NOT ERRORLEVEL 1 GOTO ERROR

ECHO.
SET/P VER1=<%VERF%
SET/P VER2=<%FILE%
ECHO %VER1% - your version
ECHO %VER2% - latest version
ECHO.

IF %VER1% EQU %VER2% (ECHO No update is available at this time.) ^
ELSE ECHO An update is available to be downloaded!

:EXIT
DEL %FILE% 2>NUL
ECHO.
PAUSE
EXIT/B

:GET_SIZE
SET %1=%~z2
IF NOT DEFINED %1 SET %1=0
EXIT/B

:NO_VER
ECHO.
ECHO Unable to determine the current version. Please update the emulator.
GOTO EXIT

:INSTALL_ERROR
ECHO.
ECHO Please check that this package was installed correctly.
:ERROR
ECHO.
ECHO An error occurred.
GOTO EXIT