@ECHO OFF

CD/D "%~dp0.."

SET ARC=Notes.7z
SET FILE="Software Notes.txt"
SET SZIP="%~dp07z\7za.exe"
SET EXE="%~dp0curl\curl.exe"
SET URL=http://mijet.eludevisibility.org/XM6%%20Pro-68k/%ARC%
SET DL=%EXE% -# -k -L --retry 1 --retry-delay 5 --limit-rate 200K
SET ARGS=-y -bso0 -bsp0

IF NOT EXIST %EXE%  GOTO ERROR
IF NOT EXIST %SZIP% GOTO ERROR

CLS
ECHO.
ECHO The following URL will be retrieved:
ECHO.
ECHO %URL%
ECHO.
ECHO If you not wish to connect to the above address, close this window now.
ECHO.
PAUSE

CALL :GET_SIZE OLD %FILE%
2>NUL DEL %ARC%

CLS
%DL% -o %ARC% --url "%URL%"
IF ERRORLEVEL 1 GOTO ERROR

: Check for an unexpected response, such as a 404 page
CALL :GET_SIZE COMPRESSED_SIZE %ARC%
IF %COMPRESSED_SIZE% LSS 3000 GOTO ERROR

: 7za won't return an error if the specific file was not in the archive
%SZIP% t %ARGS% %ARC% %FILE%
IF ERRORLEVEL 1 GOTO ERROR
2>NUL DEL %FILE%
%SZIP% e %ARGS% %ARC% %FILE%
IF ERRORLEVEL 1 GOTO ERROR
>NUL COPY/B %FILE%+
CALL :GET_SIZE NEW %FILE%
IF %NEW% LEQ 5000 GOTO ERROR

ECHO.
IF %NEW% EQU %OLD% ECHO The file has not been updated since the last download.
ECHO.
ECHO Finished!

:EXIT
2>NUL DEL %ARC%
ECHO.
PAUSE
EXIT/B

:GET_SIZE
SET %1=%~z2
IF NOT DEFINED %1 SET %1=0
EXIT/B

:ERROR
ECHO.
ECHO An error occurred.
GOTO EXIT